Bug 139888 - kernel panic on inserting cd in old cd drive
kernel panic on inserting cd in old cd drive
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-18 12:08 EST by Sebastian Mendel
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 04:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sebastian Mendel 2004-11-18 12:08:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a5)
Gecko/20041117 Firefox/0.9.1+

Description of problem:
getting a kernel-panic when inserting any cd into cd-drive or booting
from the FC-installation cd

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
booting FC3 installation-cd


insert any cd into drive when FC is running

Actual Results:  kernel panic

Expected Results:  no kernel panic

Additional info:

im using latest rpm's via up2date from development

last messages before kernel panic:

kernel: hdc: media error (bad sector): status=0x51 { DriveReady
SeekComplete Error }
kernel: hdc: media error (bad sector): error=0x30
kernel: ide: failed opcode was 100
kernel: end_request: I/O error, dev hdc, sector 0
kernel: Buffer I/O error on device hdc, logical block 0

other /dev/hdc related messages found:

kernel: Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
kernel: ide: Assuming 33MHz system bus speed for PIO modes; override
with idebus=xx
kernel: PIIX4: IDE controller at PCI slot 0000:00:04.1
kernel: PIIX4: chipset revision 1
kernel: PIIX4: not 100%% native mode: will probe irqs later
kernel:     ide0: BM-DMA at 0xb800-0xb807, BIOS settings: hda:DMA, hdb:pio
kernel:     ide1: BM-DMA at 0xb808-0xb80f, BIOS settings: hdc:DMA, hdd:pio
kernel: hda: ST320420A, ATA DISK drive
kernel: Using cfq io scheduler
kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
kernel: hdc: FX240S, ATAPI CD/DVD-ROM drive
kernel: ide1 at 0x170-0x177,0x376 on irq 15
kernel: hda: max request size: 128KiB
kernel: hda: 39851760 sectors (20404 MB) w/2048KiB Cache,
CHS=39535/16/63, UDMA(33)
Nov 18 17:52:01 www kernel:  hda: hda1 hda2 hda3 < hda5 hda6 hda7 >
kernel: hdc: ATAPI 24X CD-ROM drive, 256kB Cache, DMA
kernel: Uniform CD-ROM driver Revision: 3.20
smartd[1686]: smartd version 5.33 [i386-redhat-linux-gnu] Copyright
(C) 2002-4 Bruce Allen
smartd[1686]: Home page is http://smartmontools.sourceforge.net/
smartd[1686]: Opened configuration file /etc/smartd.conf
smartd[1686]: Configuration file /etc/smartd.conf parsed.
smartd[1686]: Device: /dev/hda, opened
smartd[1686]: Device: /dev/hda, found in smartd database.
smartd[1686]: Device: /dev/hda, is SMART capable. Adding to "monitor"
smartd[1686]: Device: /dev/hdc, opened
smartd[1686]: Device: /dev/hdc, packet devices [this device CD/DVD]
not SMART capable
smartd[1686]: Unable to register ATA device /dev/hdc at line 2 of file
smartd[1686]: Unable to register device /dev/hdc (no Directive -d
removable). Exiting.
smartd: smartd startup failed
fstab-sync[1952]: added mount point /media/cdrom1 for /dev/hdc
Comment 1 Dave Jones 2005-09-28 04:50:38 EDT
this should be fixed in errata. please reopen if not so.

Note You need to log in before you can comment on or make changes to this bug.